libzypp 17.37.10

zyppng::ContextPrivate Class Reference

`#include <zypp/ng/private/context_p.h>`

Inheritance diagram for zyppng::ContextPrivate:

## Public Member Functions
| ContextPrivate (Context &b)
Public Member Functions inherited from zyppng::UserInterfacePrivate
| UserInterfacePrivate (UserInterface &b)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
EventDispatcherRef | _eventDispatcher
zypp::filesystem::TmpDir | _providerDir
ProvideRef | _provider
zypp::ZYpp::Ptr | _zyppPtr
Public Attributes inherited from zyppng::UserInterfacePrivate
Signal< void(UserRequestRef event)> | _sigEvent
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 22 of file context_p.h.

## Constructor & Destructor Documentation

## ◆ ContextPrivate()

zyppng::ContextPrivate::ContextPrivate | ( | Context & | b | ) |
| inline

Definition at line 25 of file context_p.h.

## Member Data Documentation

## ◆ _eventDispatcher

EventDispatcherRef zyppng::ContextPrivate::_eventDispatcher

Definition at line 26 of file context_p.h.

## ◆ _providerDir

zypp::filesystem::TmpDir zyppng::ContextPrivate::_providerDir

Definition at line 27 of file context_p.h.

## ◆ _provider

ProvideRef zyppng::ContextPrivate::_provider

Definition at line 28 of file context_p.h.

## ◆ _zyppPtr

zypp::ZYpp::Ptr zyppng::ContextPrivate::_zyppPtr

Definition at line 29 of file context_p.h.

The documentation for this class was generated from the following file:

- zypp/ng/private/context_p.h